> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /FieldMatch

> Verify customer identity and validate information against account data.

Use the `FieldMatch` API to verify your customer's identity, confirm account ownership, or validate the accuracy of their information before linking a bank account to your financial service. Provide your customer's details in the request, and we'll compare them against the data associated with the account they're attempting to connect. Only the fields you include in the API call are evaluated when calculating the match score.

To use this API, you must first obtain a `loginId` and successfully call the [/GetAccountsDetail](../../connect/endpoints/account-linking/get-accounts-detail) endpoint.

The FieldMatch API uses fuzzy matching to compare submitted values against bank-held data. Each field returns a decimal score between `0` and `1`, where `1` is an exact match. The `overallMatchRate` is an average across all compared fields. Use the `threshold` parameter to get a boolean pass/fail result in addition to the decimal scores.

The 200 response you receive may differ slightly from the example in the following use cases:

* Any body parameters that are not included in the request will be missing from the response.
* When a body parameter is included in the request and we do have data to review it against, we'll return a value between `0` and `1` for that particular field.
* When a body parameter is included in the request and we do not have data to review it against, we'll return a `0` for that particular field. The field will also be added to the noData array in the response.
* When the threshold parameter is missing from the request, you will only see the second part of the response with the decimals.


## OpenAPI

````yaml POST /v3/{customerId}/BankingServices/FieldMatch
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/FieldMatch:
    post:
      tags:
        - Connect
      summary: Field Match
      description: Verify customer identity and validate information against account data.
      operationId: fieldMatch
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                loginId:
                  type: string
                  description: >-
                    The loginId you received after successfully connecting a
                    customer account.
                fullName:
                  type: string
                  description: The user's full name.
                firstName:
                  type: string
                  description: The user's first name.
                middleName:
                  type: string
                  description: The user's middle name.
                lastName:
                  type: string
                  description: The user's last name.
                postalCode:
                  type: string
                  description: The user's postal code.
                civicAddress:
                  type: string
                  description: The user's home address.
                city:
                  type: string
                  description: The user's city.
                province:
                  type: string
                  description: The user's province.
                email:
                  type: string
                  description: The user's email address.
                phone:
                  type: string
                  description: The user's phone number.
                threshold:
                  type: string
                  description: >-
                    A value between 0-1 that indicates the minimum threshold you
                    require for a match.
              example: {}
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  overallMatch:
                    type: boolean
                    description: Indicates whether the overall match meets the threshold.
                  fieldLevelMatch:
                    type: object
                    description: >-
                      Boolean values indicating whether each field meets the
                      threshold.
                    properties:
                      fullName:
                        type: boolean
                        description: Whether the full name matches.
                      phone:
                        type: boolean
                        description: Whether the phone number matches.
                      email:
                        type: string
                        nullable: true
                        description: Whether the email matches (null if no data available).
                      civicAddress:
                        type: boolean
                        description: Whether the civic address matches.
                      city:
                        type: boolean
                        description: Whether the city matches.
                      province:
                        type: boolean
                        description: Whether the province matches.
                      postalCode:
                        type: boolean
                        description: Whether the postal code matches.
                      noData:
                        type: array
                        description: Fields for which no data was available to compare.
                        items:
                          type: object
                  overallMatchRate:
                    type: number
                    format: double
                    description: The overall match rate as a decimal between 0 and 1.
                  fieldLevelMatchRate:
                    type: object
                    description: Decimal values indicating the match rate for each field.
                    properties:
                      fullName:
                        type: number
                        format: double
                        description: Match rate for the full name.
                      phone:
                        type: integer
                        description: Match rate for the phone number.
                      email:
                        type: string
                        nullable: true
                        description: Match rate for the email (null if no data available).
                      civicAddress:
                        type: number
                        format: double
                        description: Match rate for the civic address.
                      city:
                        type: integer
                        description: Match rate for the city.
                      province:
                        type: integer
                        description: Match rate for the province.
                      postalCode:
                        type: integer
                        description: Match rate for the postal code.
                      noData:
                        type: array
                        description: Fields for which no data was available to compare.
                        items:
                          type: object
              example:
                overallMatch: true
                fieldLevelMatch:
                  fullName: true
                  phone: true
                  email: null
                  civicAddress: true
                  city: true
                  province: true
                  postalCode: true
                  noData: []
                overallMatchRate: 0.93666667
                fieldLevelMatchRate:
                  fullName: 0.83
                  phone: 1
                  email: null
                  civicAddress: 0.79
                  city: 1
                  province: 1
                  postalCode: 1
                  noData: []
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                type: object
                description: Error response when the request is invalid.

````